# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version:        8.4.1
Release:        24%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.4.1
Patch0001: 0001-Change-haproxy-mode-to-http-for-octavia.patch
Patch0002: 0002-Adding-a-udev-rule-to-save-sriov-interface-name-befo.patch
Patch0003: 0003-Support-cephfs_volume_mode-parameter.patch
Patch0004: 0004-Fix-generating-connections-to-OVN-db.patch
Patch0005: 0005-Enable-internal-TLS-options-for-ironic-API.patch
Patch0006: 0006-DOWNSTREAM-ONLY-Allow-neutron-wrapper-containers-log.patch
Patch0007: 0007-Simplify-logrotate-job.patch
Patch0008: 0008-Add-QDR-profile-for-metrics-purposes.patch
Patch0009: 0009-Collectd-QDR-connection.patch
Patch0010: 0010-Switch-metrics-qdrs-to-edge-mode.patch
Patch0011: 0011-Qdr-InternalTLS-support.patch
Patch0012: 0012-Add-an-Endpoint-in-ceilometer.patch
Patch0013: 0013-Disable-curl-globbing.patch
Patch0014: 0014-pep8-fix.patch
Patch0015: 0015-Check-for-neutron_plugin_ml2_ansible-service-when-in.patch
Patch0016: 0016-Run-octavia-api-under-apache.patch
Patch0017: 0017-remove-ssh-from-tripleo-firewall-pre.patch
Patch0018: 0018-Move-unfencing-to-meta_params.patch
Patch0019: 0019-Fix-horizon-firewall-rules-in-composable-roles.patch
Patch0020: 0020-Rebuild-initramfs-after-applying-change-in-kernel-pa.patch
Patch0021: 0021-Revert-Adjust-whitespace-in-metadata.json.patch
Patch0022: 0022-Pin-puppet-sensu-module.patch
Patch0023: 0023-snmp-remove-ununsed-trapsink.patch
Patch0024: 0024-Handle-image_volume_cache_enabled-in-PureStorage-Cin.patch
Patch0025: 0025-Add-missing-s3-case-in-gnocchi-api.patch
Patch0026: 0026-Add-ability-to-configure-Cinder-s-NFS-snapshot-suppo.patch
Patch0027: 0027-Fix-ntp-module-version-to-an-existing-tag-branch.patch
Patch0028: 0028-Add-httpd-and-tls-support-to-manila-api.patch
Patch0029: 0029-Enable-disablereuse-option-in-Zaqar-proxy-backend.patch
Patch0030: 0030-Support-redfish-inside-a-fencing-yaml-file.patch
Patch0031: 0031-Fix-kolla-permissions-errors-inside-nova_virtlogd.patch
Patch0032: 0032-Expose-innodb_lock_wait_timeout-via-hieradata.patch
Patch0033: 0033-certmonger-Add-dnsnames-parameter-to-redis-cert-requ.patch
Patch0034: 0034-Fix-missing-version-requirements.patch
Patch0035: 0035-Revert-Switch-metrics-qdrs-to-edge-mode.patch
Patch0036: 0036-Fix-tripleo-haproxy-stats-to-be-more-correct-and-fle.patch
Patch0037: 0037-Add-support-for-external-Ganesha-service-in-Manila-S.patch
Patch0038: 0038-Allow-external-Ganesha-for-the-cephfs-manila-backend.patch
Patch0039: 0039-Switch-metrics-qdrs-to-edge-mode.patch
Patch0040: 0040-Add-nova-cinder-to-nova-compute.patch
Patch0041: 0041-Only-request-certs-in-step-1.patch
Patch0042: 0042-Replace-bootstrap_nodeid-with-SERVICE_short_bootstra.patch
Patch0043: 0043-Force-hostonly-when-regenerating-the-initramfs.patch
Patch0044: 0044-Fix-interface_for_ip-for-newer-facter-versions.patch
Patch0045: 0045-Support-TLS-deployments-with-KernelDisableIPv6-enabl.patch
Patch0046: 0046-Add-tcp-check-connect-port-line-to-haproxy-redis-sta.patch
Patch0047: 0047-RabbitMQ-always-allow-promotion-on-HA-queue-during-f.patch
Patch0048: 0048-Revert-Add-tcp-check-connect-port-line-to-haproxy-re.patch
Patch0049: 0049-Allow-mysql-options-to-be-set-for-the-HA-bundle.patch
Patch0050: 0050-Add-tcp-check-connect-port-line-to-haproxy-redis-sta.patch
Patch0051: 0051-Configure-cinder-s-default-volume-type.patch
Patch0052: 0052-New-profile-to-configure-libvirt-guests-on-compute-h.patch
Patch0053: 0053-Allow-for-customization-of-the-Manila-CephFS-pool-na.patch
Patch0054: 0054-mysql-client-create-tripleo.cnf-everytime.patch

BuildArch:      noarch

Requires:       puppet-aodh
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican
Requires:       puppet-cassandra
Requires:       puppet-ceilometer
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate
Requires:       puppet-ec2api
Requires:       puppet-elasticsearch
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-fluentd
Requires:       puppet-git
Requires:       puppet-glance
Requires:       puppet-gnocchi
Requires:       puppet-haproxy
Requires:       puppet-heat
Requires:       puppet-horizon
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron
Requires:       puppet-nova
Requires:       puppet-nssdb
Requires:       puppet-ntp
Requires:       puppet-octavia
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras
Requires:       puppet-openstacklib
Requires:       puppet-ovn
Requires:       puppet-oslo
Requires:       puppet-pacemaker
Requires:       puppet-panko
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-sahara
Requires:       puppet-sensu
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove
Requires:       puppet-uchiwa
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch
Requires:       puppet-xinetd
Requires:       puppet-zaqar
Requires:       puppet-zookeeper
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-qdr
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Tue Aug 13 2019 Grzegorz Grasza <xek@redhat.com> 8.4.1-24
- mysql/client: create tripleo.cnf everytime (rhbz#1732564)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Tue Aug 06 2019 Giulio Fidente <gfidente@redhat.com> 8.4.1-23
- Allow for customization of the Manila CephFS pool name (rhbz#1732562)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Thu Aug 01 2019 Martin Schuppert <mschuppert@redhat.com> 8.4.1-22
- New profile to configure libvirt-guests on compute host (rhbz#1706992)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Wed Jul 31 2019 Alan Bishop <abishop@redhat.com> 8.4.1-21
- Configure cinder's default volume type (rhbz#1720666)
- Allow mysql options to be set for the HA bundle (rhbz#1688385)
- Revert "Add tcp-check connect port line to haproxy redis stanza"
- RabbitMQ: always allow promotion on HA queue during failover (rhbz#1592528)
- Support TLS deployments with KernelDisableIPv6 enabled (rhbz#1703460)
- Fix interface_for_ip for newer facter versions (rhbz#1728385)
- Force --hostonly when regenerating the initramfs (rhbz#1711170)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Mon Jul 22 2019 Steve Linabery <slinaber@redhat.com> 8.4.1-20
- Add tcp-check connect port line to haproxy redis stanza

* Thu Jun 20 2019 David Peacock <dpeacock@redhat.com> 8.4.1-14
- Replace bootstrap_nodeid with SERVICE_short_bootstrap_node_name (rhbz#1722640 rhbz#1690558)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Wed Jun 12 2019 Moises Guimaraes de Medeiros <moguimar@redhat.com> 8.4.1-13
- Only request certs in step 1 (rhbz#1718629)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Fri Jun 07 2019 Martin Schuppert <mschuppert@redhat.com> 8.4.1-12
- Add nova::cinder to nova compute (rhbz#1691842)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Thu Jun 06 2019 Giulio Fidente <gfidente@redhat.com> 8.4.1-11
- Allow external Ganesha for the cephfs manila backend (rhbz#1696476)
- Add support for external Ganesha service in Manila Share profile (rhbz#1696476)
- Fix tripleo::haproxy::stats to be more correct and flexible (rhbz#1623075)
- Revert "Switch metrics qdrs to edge mode"
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Mon Jun 03 2019 Steve Linabery <slinaber@redhat.com> 8.4.1-10
- Fix missing version requirements
- certmonger: Add dnsnames parameter to redis cert request
- Expose innodb_lock_wait_timeout via hieradata.
- Fix kolla permissions errors inside nova_virtlogd
- Support redfish inside a fencing yaml file
- Enable disablereuse option in Zaqar proxy backend
- Add httpd and tls support to manila-api
- Fix ntp module version to an existing tag/branch
- Add ability to configure Cinder's NFS snapshot support
- Add missing s3 case in gnocchi::api
- Handle image_volume_cache_enabled in PureStorage Cinder backend.
- snmp: remove ununsed trapsink
- Pin puppet-sensu module
- Revert "Adjust whitespace in metadata.json"
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Mon Jun 03 2019 Michele Baldessari <michele@acksyn.org> 8.4.1-9
- Rebuild initramfs after applying change in kernel parameters (rhbz#1711170)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Fri May 31 2019 Michele Baldessari <michele@acksyn.org> 8.4.1-8
- Fix horizon firewall rules in composable roles (rhbz#1709209)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Thu May 09 2019 Michele Baldessari <michele@acksyn.org> 8.4.1-7
- Move unfencing to meta_params (rhbz#1701256)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Tue May 07 2019 Bob Fournier <bfournie@redhat.com> 8.4.1-6
- remove ssh from tripleo::firewall::pre (rhbz#1704589)
- Run octavia-api under apache (rhbz#1647409)
- Check for neutron_plugin_ml2_ansible service when including plugin
- pep8 fix
- Disable curl globbing (rhbz#1699972)
- Add an Endpoint in ceilometer (rhbz#1700918)

* Thu Apr 18 2019 Martin Magr <mmagr@redhat.com> 8.4.1-5
- Add an Endpoint in ceilometer (rhbz#1700918)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Wed Apr 17 2019 Martin Magr <mmagr@redhat.com> 8.4.1-4
- Qdr: InternalTLS support. (rhbz#1700918)
- Switch metrics qdrs to edge mode (rhbz#1700918)
- Merge "Adding a udev rule to save sriov interface name before configuring switchdev" into stable/queens

* Mon Apr 15 2019 Martin Magr <mmagr@redhat.com> 8.4.1-3
- Added puppet-qdr dependency (rhbz#1700015)

* Thu Apr 04 2019 Thierry Vignaud <tvignaud@redhat.com> 8.4.1-2
- Support cephfs_volume_mode parameter
- Adding a udev rule to save sriov interface name before configuring switchdev
- Change haproxy mode to http for octavia

* Wed Apr 03 2019 RDO <dev@lists.rdoproject.org> 8.4.1-1
- Update to 8.4.1

* Wed Apr 03 2019 Martin Magr <mmagr@redhat.com> 8.3.6-20
- Collectd QDR connection (rhbz#1683729)
- Add QDR profile for metrics purposes. (rhbz#1683729)

* Tue Apr 02 2019 Cédric Jeanneret <cjeanner@redhat.com> 8.3.6-19
- Simplify logrotate job (rhbz#1679878)

* Tue Apr 02 2019 Bogdan Dobrelya <bdobreli@redhat.com> 8.3.6-18
- [DOWNSTREAM-ONLY] Allow neutron wrapper containers log to syslog (rhbz#1651953)
- Fix generating connections to OVN db (rhbz#1683199)

* Thu Mar 21 2019 Bob Fournier <bfournie@redhat.com> 8.3.6-17
- Enable internal TLS options for ironic API (rhbz#1690225)

* Mon Feb 25 2019 Grzegorz Grasza <ggrasza@redhat.com> 8.3.6-16
- neutron dhcpd: Add script for certmonger postsave_cmd (rhbz#1595876)
- novnc-proxy: Remove default post-save command for certmonger (rhbz#1595876)
- redis: Remove default post-save command for certmonger (rhbz#1595876)
- rabbitmq: Remove default post-save command for certmonger (rhbz#1595876)
- httpd: Remove default post-save command for certmonger (rhbz#1595876)
- Reload HAProxy when certificate is renewed (rhbz#1595876)

* Fri Feb 22 2019 Damien Ciabrini <dciabrin@redhat.com> 8.3.6-15
- Allow to set log facility for HAProxy (rhbz#1600865)

* Thu Feb 07 2019 Steve Linabery <slinaber@redhat.com> 8.3.6-14
- Allow user to define a custom tuned profile
- Configure the Metadata Agent only when enable_metadata_agent is set
- Add additional tuning options for mariadb/galera
- ceilometer: escape % in crontab
- Switch scenarios to non-voting
- Add manifest for networking_ansible ML2 plugin
- Switch stable scenarios to voting
- Pin puppet-snmp
- Disable puppet-5 jobs
- Make sure we do not match multiple remotes when waiting for them (rhbz#1624441)
- [DOWNSTREAM-ONLY] Copytruncate containerized logrotate configuration (rhbz#1585516)

* Wed Feb 06 2019 Harry Rybacki <hrybacki@redhat.com> 8.3.6-13
- Explicitly set certmonger's CA cert's permissions (rhbz#1667450)

* Wed Feb 06 2019 Saravanan KR <skramaja@redhat.com> 8.3.6-12
- Configure switchedv while there is no vfs bounded (rhbz#1665156)

* Mon Jan 21 2019 Harry Rybacki <hrybacki@redhat.com> 8.3.6-11
- Create barbican's creator role by default (rhbz#1664429)

* Fri Jan 11 2019 Bob Fournier <bfournie@redhat.com> 8.3.6-10
- Filter apache_certificates_specs if hostname is empty (rhbz#1643423)

* Wed Jan 09 2019 Michele Baldessari <michele@acksyn.org> 8.3.6-9
- Remove some of the excessive rabbitmq bundle logging (rhbz#1639203)

* Fri Dec 21 2018 Michele Baldessari <michele@acksyn.org> 8.3.6-8
- Make sure we do not match multiple remotes when waiting for them (rhbz#1624441)

* Tue Dec 11 2018 Alan Bishop <abishop@redhat.com> 8.3.6-7
- Dell EMC SC: Add use_multipath_for_image_xfer (rhbz#1644017)

* Thu Dec 06 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.3.6-6
- Include octavia::controller (rhbz#1653454)

* Mon Dec 03 2018 Alan Bishop <abishop@redhat.com> 8.3.6-5
- Include ::cinder::nova in cinder's configuration (rhbz#1641825)

* Thu Nov 29 2018 Janki Chhatbar <jchhatba@redhat.com> 8.3.6-4
- Pass variable from puppet-tripleo to puppet-neutron (rhbz#1636897)

* Wed Nov 28 2018 Janki Chhatbar <jchhatba@redhat.com> 8.3.6-3
- Add support for ODL-OVS IPv6 deployment (rhbz#1636897)

* Wed Oct 17 2018 Tom Barron <tpb@dyncloud.net> 8.3.6-2
- Fix ceph-nfs duplicate property (rhbz#1637965)
- Make sure that ceph-nfs and the VIP start in the right order (rhbz#1637965)

* Mon Oct 15 2018 Jon Schlueter <jschluet@redhat.com> 8.3.6-1
- Update to 8.3.6 (rhbz#1639299)
- Use exec for CA CRL instead of file resource (rhbz#1620180)

* Mon Oct 15 2018 Michele Baldessari <michele@acksyn.org> 8.3.4-14
- Make sure rhel-plugin-push.service is stopped after pacemaker stops (rhbz#1628705)

* Wed Oct 10 2018 David Peacock <dpeacock@redhat.com> 8.3.4-13
- adding deployment_type fact in support (rhbz#1635334)

* Thu Oct 04 2018 Alex Schultz <aschultz@redhat.com> 8.3.4-12
- [DOWNSTREAM-ONLY] Copytruncate containerized logrotate configuration (rhbz#1585516)
- Revert "[DOWNSTREAM-ONLY] Fix postrotate to notify holders of rotated logs" (rhbz#1585516)

* Tue Oct 02 2018 Martin Schuppert <mschuppert@redhat.com> 8.3.4-11
- Revert "Revert "SSL support for haproxy -> novnc proxy connection"" (rhbz#1613161)

* Tue Oct 02 2018 Carlos Goncalves <cgoncalves@redhat.com> 8.3.4-10
- Enable TLS in the internal network for Octavia API (rhbz#1613576)
- [DOWNSTREAM-ONLY] Fix postrotate to notify holders of rotated logs (rhbz#1585516)

* Mon Sep 10 2018 Cédric Jeanneret <cjeanner@redhat.com> 8.3.4-9
- Fix docker debug/mirrors JSON augeas changes (rhbz#1626940)

* Wed Aug 29 2018 Michele Baldessari <michele@acksyn.org> 8.3.4-8
- Force cinder properties to be set on ly on nodes with pcmk on it (rhbz#1600449)

* Fri Aug 17 2018 Martin Schuppert <mschuppert@redhat.com> 8.3.4-7
- Revert "SSL support for haproxy -> novnc proxy connection" (rhbz#1613161)

* Mon Aug 13 2018 Martin Schuppert <mschuppert@redhat.com> 8.3.4-6
- SSL support for haproxy -> novnc proxy connection (rhbz#1613161)

* Tue Aug 07 2018 Tim Rozet <trozet@redhat.com> 8.3.4-5
- Remove table 17 from OVS OF pipeline sync (rhbz#1613115)

* Wed Aug 01 2018 Alan Bishop <abishop@redhat.com> 8.3.4-4
- [Ocata,Pike,Queens-Only] Fix Cinder's Netapp backend (rhbz#1601497)

* Mon Jul 23 2018 Tim Rozet <trozet@redhat.com> 8.3.4-3
- Updates OpenDaylight HA Proxy backend check (rhbz#1488907)

* Wed Jul 18 2018 Jon Schlueter <jschluet@redhat.com> 8.3.4-2
- Avoid hard-coded settings in Manila HA containers (rhbz#1597379)
- Make sure remotes are fully up before proceeding
- Allow configuration of NFS backend for Nova (rhbz#1598396)
- Make sure we apply qemu config changes
- Run cinder's db sync only on bootstrap node (rhbz#1599409)
- Add mechanism for cookie-based sessions in endpoints.
- Update to 8.3.4
- Remove share_backend_name from Dell-EMC manila backends (rhbz#1574787)
- Make sure we apply qemu config changes  (rhbz#1597541)

* Fri Jun 15 2018 Michele Baldessari <michele@acksyn.org> 8.3.2-8
- Fix logrotate_crond issues (rhbz#1584946)

* Thu Jun 07 2018 Tim Rozet <trozet@redhat.com> 8.3.2-7
- Adds check and resyncs ODL/OVS OF pipeline (rhbz#1568989)

* Mon May 14 2018 Brent Eagles <beagles@redhat.com> 8.3.2-6
- Adding wrapper scripts for neutron agent subprocesses (rhbz#1527130)

* Tue May 01 2018 Tim Rozet <trozet@redhat.com> 8.3.2-5
- Fixes HA Proxy backend check for ODL (rhbz#1572807)

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 8.3.2-4
- drop puppet-tempest Req as it's not used

* Wed Apr 25 2018 Bob Fournier <bfournie@redhat.com> 8.3.2-3
- Firewall: NOT persist ephemetal ironic-inspector rules (rhbz#1570386)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.3.2-2
- Changing opendaylight loadbalancing alogirthm (rhbz#1538611)
- Split up neutron-lbaas service plugin and agent (rhbz#1554114)

* Mon Apr 23 2018 RDO <dev@lists.rdoproject.org> 8.3.2-1
- Update to 8.3.2

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 8.3.1-1
- Update to 8.3.1

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.3.0-1
- Update to 8.3.0
